package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbXnszzMember;

/**
 * 小牛用户表Service接口
 * 
 * @author Ashe
 * @date 2025-11-14
 */
public interface ITbXnszzMemberService 
{
    /**
     * 查询小牛用户表
     * 
     * @param id 小牛用户表主键
     * @return 小牛用户表
     */
    public TbXnszzMember selectTbXnszzMemberById(Long id);

    /**
     * 查询小牛用户表列表
     * 
     * @param tbXnszzMember 小牛用户表
     * @return 小牛用户表集合
     */
    public List<TbXnszzMember> selectTbXnszzMemberList(TbXnszzMember tbXnszzMember);

    /**
     * 新增小牛用户表
     * 
     * @param tbXnszzMember 小牛用户表
     * @return 结果
     */
    public int insertTbXnszzMember(TbXnszzMember tbXnszzMember);

    /**
     * 修改小牛用户表
     * 
     * @param tbXnszzMember 小牛用户表
     * @return 结果
     */
    public int updateTbXnszzMember(TbXnszzMember tbXnszzMember);

    /**
     * 批量删除小牛用户表
     * 
     * @param ids 需要删除的小牛用户表主键集合
     * @return 结果
     */
    public int deleteTbXnszzMemberByIds(Long[] ids);

    /**
     * 删除小牛用户表信息
     * 
     * @param id 小牛用户表主键
     * @return 结果
     */
    public int deleteTbXnszzMemberById(Long id);
}
